Jump to content
DaveRook

How to install Emby on QNAP

Recommended Posts

DaveRook

I'm trying to install Emby Server on QNAP

 

I've used Google find out how and I see https://emby.media/try-emby-server-for-qnap.html 

 

Within that link it clearly shows the emby server existing in the App Center under Entertainment. Mine does not. A search for Emby within the QNAP storen returns 0 results.

 

Have I missed something obvious?

Share this post


Link to post
Share on other sites
Luke

What model do you have?

Share this post


Link to post
Share on other sites
toreh

Hi.
I have the same problem.

How do I install Emby on my NAS?
 

I have a TS451A.

Share this post


Link to post
Share on other sites
Luke

Hi.

I have the same problem.

How do I install Emby on my NAS?

 

I have a TS451A.

 

Hi there @@toreh, did you follow the QNAP instructions on our website?

 

https://emby.media/nas-server.html

 

Thanks !

Share this post


Link to post
Share on other sites
instabus

I would like to make it work on my TS421 Emby Server. The Emby app is easy to install, but with the QMono app I'm having trouble. I don't know which one is suitable for TS421. I have tried all 4 variants, but with no success. Does anyone have a tip for me here?

Share this post


Link to post
Share on other sites
Luke

Which ones are available?

  • Like 1

Share this post


Link to post
Share on other sites
cosmotherobot

I have a TS-453BE  and successfully using Qmono 5.20.1.19  from the Qnapclub repository.

Share this post


Link to post
Share on other sites
instabus

Ok so those are all the same package, just for different CPU architectures. For the TS421 it looks like you'll need the arm-x41 version.

 

ok, i will try it with the proposed package. I will give feedback.

Share this post


Link to post
Share on other sites
instabus

 

 

Ok so those are all the same package, just for different CPU architectures. For the TS421 it looks like you'll need the arm-x41 version.

 

 

ok, i will try it with the proposed package. I will give feedback.

 

I tried to install the Qmono version for arm-41 on my NAS. Unfortunately the installation failed as expected. The system-log displays:

Failed to install Mono Framework 5.20.1.19. Installation package is incompatible. Use the correct package. 

What else could I try?

Edited by instabus

Share this post


Link to post
Share on other sites
Luke

Unfortunately because of QNAP's naming schemes it's hard to know for sure exactly what package you need, but given the age of your NAS, and CPU, we can make a pretty good guess from that. Did you try the x31 and x41 packages on our website? 

 

https://emby.media/nas-server.html

 

These do not require QMono. QMono is only needed if you're installing our X19 package, which it's very possible you may need that. But try our packages first that don't need QMono and see if your NAS will accept them.

Share this post


Link to post
Share on other sites
Luke

I have a TS-453BE  and successfully using Qmono 5.20.1.19  from the Qnapclub repository.

 

@@cosmotherobot, did you install this for Emby? If so, why? You have a 2018 NAS. You might be able to use our X41 or X31 package that doesn't need QMono:

https://emby.media/nas-server.html

If you don't actually need it then I would remove it, as it can take up a lot of resources.

Share this post


Link to post
Share on other sites
Luke

@@instabus, assuming x19 is what you need, then you'll need to use an older version of QMono:

https://www.qnapclub.eu/en/qpkg/193

The 5.12 version is the last version with x19 support. I'll have to update our install instructions.

 

But that's not good news. If they're no longer updating the x19 QMono, then it's only a matter of time until you won't be able to install a newer version of Emby Server.

Share this post


Link to post
Share on other sites
instabus

Unfortunately because of QNAP's naming schemes it's hard to know for sure exactly what package you need, but given the age of your NAS, and CPU, we can make a pretty good guess from that. Did you try the x31 and x41 packages on our website? 

 

https://emby.media/nas-server.html

 

These do not require QMono. QMono is only needed if you're installing our X19 package, which it's very possible you may need that. But try our packages first that don't need QMono and see if your NAS will accept them.

 

ok...the situation is, that I could install the emby app on my NAS without any problems. Means that now, if Qmono had been needed, I would not have been able to install the emby app? Next Question, when I click on this new Emby app, it opens a new Browser tab and shows the message: "Website is not reachable". Is the Emby App working and I have a Problem with the Access (port)? 

Share this post


Link to post
Share on other sites
Luke

What package were you able to install?

Share this post


Link to post
Share on other sites
instabus

What package were you able to install?

 

emby-server-qnap-mono_4.2.1.0_arm-x19

Share this post


Link to post
Share on other sites
Luke

Then you will need QMono for x19.

Share this post


Link to post
Share on other sites
instabus

Then you will need QMono for x19.

 

I assume that I have used the appropriate Emby App, because it is explicitly intended for ARM x21. And I have a QNAP TS-421. I would now see the problem with the Qmono app. Do I see that correctly and who should I contact with this Problem?

Share this post


Link to post
Share on other sites
Luke

I assume that I have used the appropriate Emby App, because it is explicitly intended for ARM x21. And I have a QNAP TS-421. I would now see the problem with the Qmono app. Do I see that correctly and who should I contact with this Problem?

 

Did you do what i mentioned above?

Share this post


Link to post
Share on other sites
instabus

Did you do what i mentioned above?

 

Sorry, thanks for this hint. I will test to install an older Qmono version.

Share this post


Link to post
Share on other sites
instabus

Did you do what i mentioned above?

 

Thanks for the hint! Now, Mono Framework V5.12.0.266 is successfull installed. I was also able to install the emby app (4.3.0.15) without any problems. I think we're close to a solution.

if I now start the Emby app via the NAS Dashboard, a new browser tab opens which calls the URL http://localhost:8096/ . The browser will then indicate that it can't reach the website. What can be the problem here?

Share this post


Link to post
Share on other sites
Luke

I'm not really sure. Older devices such as this are much more difficult. Are you sure the server is running? Perhaps try rebooting the NAS and then start the server. If there's still an issue after that we'll have to locate the emby server log on the file system.

Share this post


Link to post
Share on other sites
instabus

I'm not really sure. Older devices such as this are much more difficult. Are you sure the server is running? Perhaps try rebooting the NAS and then start the server. If there's still an issue after that we'll have to locate the emby server log on the file system.

 

I've done a Restart of my NAS and I saw, that the Qmono and Emby app's are starting without problems. But...the issue is continously not resolved. How I can locate the emby Server log ?

Edited by instabus

Share this post


Link to post
Share on other sites
Luke

See if there's anything here:

/share/MD0_DATA/.qpkg/EmbyServer/programdata/logs

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...